Asseco SEE iBank FX Client <= 2.0.9.3 Local Privilege Escalation Vulnerability

The application is vulnerable to an elevation of privileges vulnerability which can be used by a simple user that can change the executable file with a binary of choice. The vulnerability exist due to the improper permissions, with the ‘F’ flag (full) for the ‘Everyone’ and ‘Users’ group, for the ‘RichClient.exe’ and ‘fxclient.exe’ binary files making them world-writable. After you replace the binary with your rootkit, on reboot you get SYSTEM privileges.

FX Client

Advisory: http://www.zeroscience.mk/en/vulnerabilities/ZSL-2014-5168.php

Comment are closed.